
Foreman - Feature #332

Provide a notification mechanism

06/25/2010 03:32 PM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When an upgrade is performed there should be a mechanism for informing the user(s) about manual actions that should be

performed.

An API should be provided to cause a message to be displayed on all screens that a user visits, together with a button to remove the

message. The message should be either "global" or "individual". If global, then the first user to click the "acknowledge" will close the

message for all users. If the message is not "global" then each user of the system will have to signal acknowledgment of the notice.

Related issues:

Blocked by Foreman - Refactor #390: Ensure that a user account is always sele... Closed 09/29/2010

Associated revisions

Revision 479adbf9 - 10/29/2013 07:40 PM - Eric Helms

Engine: Fixes #332: Enabling Sync Plans page.

Revision 4821e4c9 - 11/01/2013 08:24 PM - Eric Helms

Engine: Fixes #332: Enabling Sync Plans page.

Revision 7958fc19 - 11/22/2013 07:16 PM - Eric Helms

Engine: Fixes #332: Enabling Sync Plans page.

History

#1 - 06/26/2010 07:00 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to feature/332-notifications

Added a level argument that changes the message icon.

It is now more visually appealing.

#2 - 08/26/2010 02:13 PM - Paul Kelly

rebased again

#3 - 09/06/2010 02:51 PM - Paul Kelly

Fixed issue where the admin user lookup was not being cached in the session when SETTINGS[:login] was not true

rebased

tested

#4 - 09/19/2010 03:55 PM - Ohad Levy

- Target version set to 0.1-6

#5 - 09/20/2010 10:31 AM - Paul Kelly

rebased

tested
#6 - 09/28/2010 02:33 PM - Paul Kelly

rebased, tested, reposted

#7 - 09/29/2010 11:45 AM - Ohad Levy

- File 0001-my-mods-suggestions.patch added

my mods, please review and update if needed

#8 - 09/29/2010 12:24 PM - Ohad Levy

- File deleted (0001-my-mods-suggestions.patch)

#9 - 09/29/2010 12:24 PM - Ohad Levy

- File 0001-my-mods-suggestions.patch added

new version of the patch

#10 - 10/05/2010 10:17 AM - Paul Kelly

Fixed some broken tests and some bogus references to User.current

Also test_helper#set_session_user was wrong. Ouch.

rebased and tested

#11 - 10/09/2010 09:18 AM - Paul Kelly

rebased and tested

#12 - 10/17/2010 02:49 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

#13 - 02/28/2023 02:58 AM - The Foreman Bot

- Pull request https://github.com/theforeman/obal/pull/333 added

#14 - 02/28/2023 11:38 AM - Ewoud Kohl van Wijngaarden

- Description updated

- Pull request deleted (https://github.com/theforeman/obal/pull/333)

Files

0001-my-mods-suggestions.patch 10.8 KB 09/29/2010 Ohad Levy
